# Copyright (c) 2011 Cloudera, Inc. All rights reserved.

class JsonParser(object):
  def __init__(self, json_dict):
    self.json = json_dict

# Collected from bolt CDH3 RS on 10/18/2012.
SAMPLE_CDH3 = r"""
{
   "hbase":{
      "info":[

      ],
      "regionserver":[
         [
            {
               "RegionServer":"regionserver60020",
               "hostName":"centos62-25.ent.cloudera.com"
            },
            {
               "blockCacheCount":3,
               "blockCacheEvictedCount":0,
               "blockCacheFree":78058488,
               "blockCacheHitCachingRatio":78,
               "blockCacheHitCount":13,
               "blockCacheHitRatio":81,
               "blockCacheMissCount":3,
               "blockCacheSize":650248,
               "compactionQueueSize":0,
               "compactionSize_avg_time":2006,
               "compactionSize_num_ops":1,
               "compactionTime_avg_time":0,
               "compactionTime_num_ops":1,
               "flushQueueSize":0,
               "flushSize_avg_time":0,
               "flushSize_num_ops":0,
               "flushTime_avg_time":0,
               "flushTime_num_ops":0,
               "fsReadLatency_avg_time":0,
               "fsReadLatency_num_ops":3,
               "fsSyncLatency_avg_time":0,
               "fsSyncLatency_num_ops":799663,
               "fsWriteLatency_avg_time":0,
               "fsWriteLatency_num_ops":2,
               "mbInMemoryWithoutWAL":0,
               "memstoreSizeMB":0,
               "numPutsWithoutWAL":0,
               "regionSplitFailureCount":0,
               "regionSplitSuccessCount":0,
               "regions":2,
               "requests":0,
               "storefileIndexSizeMB":0,
               "storefiles":1,
               "stores":2
            }
         ]
      ]
   },
   "jvm":{
      "metrics":[
         [
            {
               "hostName":"centos62-25.ent.cloudera.com",
               "processName":"RegionServer",
               "sessionId":"regionserver60020"
            },
            {
               "gcCount":3370,
               "gcTimeMillis":7112,
               "logError":0,
               "logFatal":0,
               "logInfo":0,
               "logWarn":0,
               "maxMemoryM":300.25,
               "memHeapCommittedM":81.0625,
               "memHeapUsedM":27.169724,
               "memNonHeapCommittedM":30.25,
               "memNonHeapUsedM":30.037773,
               "threadsBlocked":0,
               "threadsNew":0,
               "threadsRunnable":20,
               "threadsTerminated":0,
               "threadsTimedWaiting":18,
               "threadsWaiting":30
            }
         ]
      ]
   },
   "rpc":{
      "metrics":[
         [
            {
               "hostName":"centos62-25.ent.cloudera.com",
               "port":"60020"
            },
            {
               "RpcProcessingTime_avg_time":0,
               "RpcProcessingTime_num_ops":0,
               "RpcQueueTime_avg_time":0,
               "RpcQueueTime_num_ops":0,
               "RpcSlowResponse_avg_time":0,
               "RpcSlowResponse_num_ops":0,
               "abort.aboveOneSec._avg_time":0,
               "abort.aboveOneSec._num_ops":0,
               "abort_avg_time":0,
               "abort_num_ops":0,
               "addColumn_avg_time":0,
               "addColumn_num_ops":0,
               "addToOnlineRegions.aboveOneSec._avg_time":0,
               "addToOnlineRegions.aboveOneSec._num_ops":0,
               "addToOnlineRegions_avg_time":0,
               "addToOnlineRegions_num_ops":0,
               "assign_avg_time":0,
               "assign_num_ops":0,
               "balanceSwitch_avg_time":0,
               "balanceSwitch_num_ops":0,
               "balance_avg_time":0,
               "balance_num_ops":0,
               "bulkLoadHFile.aboveOneSec._avg_time":0,
               "bulkLoadHFile.aboveOneSec._num_ops":0,
               "bulkLoadHFile_avg_time":0,
               "bulkLoadHFile_num_ops":0,
               "bulkLoadHFiles.aboveOneSec._avg_time":0,
               "bulkLoadHFiles.aboveOneSec._num_ops":0,
               "bulkLoadHFiles_avg_time":0,
               "bulkLoadHFiles_num_ops":0,
               "checkAndDelete.aboveOneSec._avg_time":0,
               "checkAndDelete.aboveOneSec._num_ops":0,
               "checkAndDelete_avg_time":0,
               "checkAndDelete_num_ops":0,
               "checkAndPut.aboveOneSec._avg_time":0,
               "checkAndPut.aboveOneSec._num_ops":0,
               "checkAndPut_avg_time":0,
               "checkAndPut_num_ops":0,
               "checkOOME.aboveOneSec._avg_time":0,
               "checkOOME.aboveOneSec._num_ops":0,
               "checkOOME_avg_time":0,
               "checkOOME_num_ops":0,
               "close.aboveOneSec._avg_time":0,
               "close.aboveOneSec._num_ops":0,
               "closeRegion.aboveOneSec._avg_time":0,
               "closeRegion.aboveOneSec._num_ops":0,
               "closeRegion_avg_time":0,
               "closeRegion_num_ops":0,
               "close_avg_time":0,
               "close_num_ops":2670,
               "compactRegion.aboveOneSec._avg_time":0,
               "compactRegion.aboveOneSec._num_ops":0,
               "compactRegion_avg_time":0,
               "compactRegion_num_ops":0,
               "createTable_avg_time":0,
               "createTable_num_ops":0,
               "delete.aboveOneSec._avg_time":0,
               "delete.aboveOneSec._num_ops":0,
               "deleteColumn_avg_time":0,
               "deleteColumn_num_ops":0,
               "deleteTable_avg_time":0,
               "deleteTable_num_ops":0,
               "delete_avg_time":0,
               "delete_num_ops":0,
               "disableTable_avg_time":0,
               "disableTable_num_ops":0,
               "enableTable_avg_time":0,
               "enableTable_num_ops":0,
               "exists.aboveOneSec._avg_time":0,
               "exists.aboveOneSec._num_ops":0,
               "exists_avg_time":0,
               "exists_num_ops":0,
               "flushRegion.aboveOneSec._avg_time":0,
               "flushRegion.aboveOneSec._num_ops":0,
               "flushRegion_avg_time":0,
               "flushRegion_num_ops":0,
               "get.aboveOneSec._avg_time":0,
               "get.aboveOneSec._num_ops":0,
               "getClosestRowBefore.aboveOneSec._avg_time":0,
               "getClosestRowBefore.aboveOneSec._num_ops":0,
               "getClosestRowBefore_avg_time":0,
               "getClosestRowBefore_num_ops":1,
               "getClusterStatus_avg_time":0,
               "getClusterStatus_num_ops":0,
               "getCompactionState.aboveOneSec._avg_time":0,
               "getCompactionState.aboveOneSec._num_ops":0,
               "getCompactionState_avg_time":0,
               "getCompactionState_num_ops":0,
               "getFromOnlineRegions.aboveOneSec._avg_time":0,
               "getFromOnlineRegions.aboveOneSec._num_ops":0,
               "getFromOnlineRegions_avg_time":0,
               "getFromOnlineRegions_num_ops":0,
               "getHServerInfo.aboveOneSec._avg_time":0,
               "getHServerInfo.aboveOneSec._num_ops":0,
               "getHServerInfo_avg_time":0,
               "getHServerInfo_num_ops":0,
               "getOnlineRegions.aboveOneSec._avg_time":0,
               "getOnlineRegions.aboveOneSec._num_ops":0,
               "getOnlineRegions_avg_time":0,
               "getOnlineRegions_num_ops":0,
               "getProtocolVersion.aboveOneSec._avg_time":0,
               "getProtocolVersion.aboveOneSec._num_ops":0,
               "getProtocolVersion_avg_time":0,
               "getProtocolVersion_num_ops":5,
               "getRegionInfo.aboveOneSec._avg_time":0,
               "getRegionInfo.aboveOneSec._num_ops":0,
               "getRegionInfo_avg_time":0,
               "getRegionInfo_num_ops":2674,
               "get_avg_time":0,
               "get_num_ops":6,
               "increment.aboveOneSec._avg_time":0,
               "increment.aboveOneSec._num_ops":0,
               "incrementColumnValue.aboveOneSec._avg_time":0,
               "incrementColumnValue.aboveOneSec._num_ops":0,
               "incrementColumnValue_avg_time":0,
               "incrementColumnValue_num_ops":0,
               "increment_avg_time":0,
               "increment_num_ops":0,
               "isMasterRunning_avg_time":0,
               "isMasterRunning_num_ops":0,
               "isStopped.aboveOneSec._avg_time":0,
               "isStopped.aboveOneSec._num_ops":0,
               "isStopped_avg_time":0,
               "isStopped_num_ops":0,
               "lockRow.aboveOneSec._avg_time":0,
               "lockRow.aboveOneSec._num_ops":0,
               "lockRow_avg_time":0,
               "lockRow_num_ops":0,
               "modifyColumn_avg_time":0,
               "modifyColumn_num_ops":0,
               "modifyTable_avg_time":0,
               "modifyTable_num_ops":0,
               "move_avg_time":0,
               "move_num_ops":0,
               "multi.aboveOneSec._avg_time":0,
               "multi.aboveOneSec._num_ops":0,
               "multiPut.aboveOneSec._avg_time":0,
               "multiPut.aboveOneSec._num_ops":0,
               "multiPut_avg_time":0,
               "multiPut_num_ops":0,
               "multi_avg_time":0,
               "multi_num_ops":0,
               "next.aboveOneSec._avg_time":0,
               "next.aboveOneSec._num_ops":0,
               "next_avg_time":0,
               "next_num_ops":2670,
               "offline_avg_time":0,
               "offline_num_ops":0,
               "openRegion.aboveOneSec._avg_time":0,
               "openRegion.aboveOneSec._num_ops":0,
               "openRegion_avg_time":0,
               "openRegion_num_ops":2,
               "openRegions.aboveOneSec._avg_time":0,
               "openRegions.aboveOneSec._num_ops":0,
               "openRegions_avg_time":0,
               "openRegions_num_ops":0,
               "openScanner.aboveOneSec._avg_time":0,
               "openScanner.aboveOneSec._num_ops":0,
               "openScanner_avg_time":0,
               "openScanner_num_ops":2670,
               "put.aboveOneSec._avg_time":0,
               "put.aboveOneSec._num_ops":0,
               "put_avg_time":0,
               "put_num_ops":1,
               "regionServerReport_avg_time":0,
               "regionServerReport_num_ops":0,
               "regionServerStartup_avg_time":0,
               "regionServerStartup_num_ops":0,
               "removeFromOnlineRegions.aboveOneSec._avg_time":0,
               "removeFromOnlineRegions.aboveOneSec._num_ops":0,
               "removeFromOnlineRegions_avg_time":0,
               "removeFromOnlineRegions_num_ops":0,
               "replicateLogEntries.aboveOneSec._avg_time":0,
               "replicateLogEntries.aboveOneSec._num_ops":0,
               "replicateLogEntries_avg_time":0,
               "replicateLogEntries_num_ops":0,
               "reportRSFatalError_avg_time":0,
               "reportRSFatalError_num_ops":0,
               "shutdown_avg_time":0,
               "shutdown_num_ops":0,
               "splitRegion.aboveOneSec._avg_time":0,
               "splitRegion.aboveOneSec._num_ops":0,
               "splitRegion_avg_time":0,
               "splitRegion_num_ops":0,
               "stop.aboveOneSec._avg_time":0,
               "stop.aboveOneSec._num_ops":0,
               "stopMaster_avg_time":0,
               "stopMaster_num_ops":0,
               "stop_avg_time":0,
               "stop_num_ops":0,
               "unassign_avg_time":0,
               "unassign_num_ops":0,
               "unlockRow.aboveOneSec._avg_time":0,
               "unlockRow.aboveOneSec._num_ops":0,
               "unlockRow_avg_time":0,
               "unlockRow_num_ops":0
            }
         ]
      ]
   }
}
"""

# Collected from bolt CDH4 RS on 10/18/2012.
SAMPLE_CDH4 = r"""
{
   "hbase":{
      "info":[

      ],
      "regionserver":[
         [
            {
               "RegionServer":"regionserver6002",
               "hostName":"c0823.hal.cloudera.com"
            },
            {
               "blockCacheCount":25052,
               "blockCacheEvictedCount":8565666,
               "blockCacheFree":465864632,
               "blockCacheHitCachingRatio":97,
               "blockCacheHitCount":300409093,
               "blockCacheHitRatio":96,
               "blockCacheMissCount":9760141,
               "blockCacheSize":1674541128,
               "compactionQueueSize":0,
               "compactionSize_avg_time":421341130,
               "compactionSize_num_ops":218,
               "compactionTime_avg_time":13537,
               "compactionTime_num_ops":218,
               "deleteRequestLatency_75th_percentile":0.0,
               "deleteRequestLatency_95th_percentile":0.0,
               "deleteRequestLatency_99th_percentile":0.0,
               "deleteRequestLatency_max":0,
               "deleteRequestLatency_mean":0.0,
               "deleteRequestLatency_median":0.0,
               "deleteRequestLatency_min":0,
               "deleteRequestLatency_num_ops":0,
               "deleteRequestLatency_std_dev":0.0,
               "flushQueueSize":0,
               "flushSize_avg_time":136635128,
               "flushSize_num_ops":780,
               "flushTime_avg_time":0,
               "flushTime_num_ops":780,
               "fsReadLatencyHistogram_75th_percentile":7940946.0,
               "fsReadLatencyHistogram_95th_percentile":1.3956722E7,
               "fsReadLatencyHistogram_99th_percentile":1.8489688E7,
               "fsReadLatencyHistogram_max":9475141723,
               "fsReadLatencyHistogram_mean":1761548.8,
               "fsReadLatencyHistogram_median":571737.5,
               "fsReadLatencyHistogram_min":1817,
               "fsReadLatencyHistogram_num_ops":4424652,
               "fsReadLatencyHistogram_std_dev":1.7894098E7,
               "fsReadLatency_avg_time":0,
               "fsReadLatency_num_ops":9760141,
               "fsSyncLatency_avg_time":0,
               "fsSyncLatency_num_ops":18771993,
               "fsWriteLatencyHistogram_75th_percentile":176129.25,
               "fsWriteLatencyHistogram_95th_percentile":469170.84,
               "fsWriteLatencyHistogram_99th_percentile":865908.5,
               "fsWriteLatencyHistogram_max":17815496860,
               "fsWriteLatencyHistogram_mean":1815657.6,
               "fsWriteLatencyHistogram_median":165578.0,
               "fsWriteLatencyHistogram_min":2494,
               "fsWriteLatencyHistogram_num_ops":720640,
               "fsWriteLatencyHistogram_std_dev":4.1673164E7,
               "fsWriteLatency_avg_time":0,
               "fsWriteLatency_num_ops":20537559,
               "getRequestLatency_75th_percentile":738536.75,
               "getRequestLatency_95th_percentile":1.1384627E7,
               "getRequestLatency_99th_percentile":1.7843848E7,
               "getRequestLatency_max":8031782888,
               "getRequestLatency_mean":559114.94,
               "getRequestLatency_median":359355.5,
               "getRequestLatency_min":27406,
               "getRequestLatency_num_ops":34105144,
               "getRequestLatency_std_dev":6629154.0,
               "hdfsBlocksLocalityIndex":100,
               "hlogFileCount":12,
               "mbInMemoryWithoutWAL":0,
               "memstoreSizeMB":630,
               "numPutsWithoutWAL":0,
               "putRequestLatency_75th_percentile":0.0,
               "putRequestLatency_95th_percentile":0.0,
               "putRequestLatency_99th_percentile":0.0,
               "putRequestLatency_max":0,
               "putRequestLatency_mean":0.0,
               "putRequestLatency_median":0.0,
               "putRequestLatency_min":0,
               "putRequestLatency_num_ops":0,
               "putRequestLatency_std_dev":0.0,
               "readRequestsCount":5455944,
               "regionSplitFailureCount":0,
               "regionSplitSuccessCount":18,
               "regions":13,
               "requests":0.0,
               "rootIndexSizeKB":905,
               "storefileIndexSizeMB":0,
               "storefiles":25,
               "stores":13,
               "totalStaticBloomSizeKB":0,
               "totalStaticIndexSizeKB":3502,
               "writeRequestsCount":1127465
            }
         ]
      ]
   },
   "jvm":{
      "metrics":[
         [
            {
               "hostName":"c0823.hal.cloudera.com",
               "processName":"RegionServer",
               "sessionId":"regionserver6002"
            },
            {
               "gcCount":18686,
               "gcTimeMillis":434068,
               "logError":0,
               "logFatal":0,
               "logInfo":0,
               "logWarn":0,
               "maxMemoryM":8165.0,
               "memHeapCommittedM":8165.0,
               "memHeapUsedM":5171.1826,
               "memNonHeapCommittedM":70.15234,
               "memNonHeapUsedM":44.588333,
               "threadsBlocked":0,
               "threadsNew":0,
               "threadsRunnable":20,
               "threadsTerminated":0,
               "threadsTimedWaiting":15,
               "threadsWaiting":42
            }
         ]
      ]
   },
   "rpc":{
      "metrics":[
         [
            {
               "hostName":"c0823.hal.cloudera.com",
               "port":"6002"
            },
            {
               "NumOpenConnections":0,
               "ReceivedBytes":63903721642,
               "RpcProcessingTime_avg_time":0,
               "RpcProcessingTime_num_ops":34979557,
               "RpcQueueTime_avg_time":0,
               "RpcQueueTime_num_ops":34979557,
               "RpcSlowResponse_avg_time":0,
               "RpcSlowResponse_num_ops":160,
               "SentBytes":53071523778,
               "abort.aboveOneSec._avg_time":0,
               "abort.aboveOneSec._num_ops":0,
               "abort_avg_time":0,
               "abort_num_ops":0,
               "addColumn_avg_time":0,
               "addColumn_num_ops":0,
               "addToOnlineRegions.aboveOneSec._avg_time":0,
               "addToOnlineRegions.aboveOneSec._num_ops":0,
               "addToOnlineRegions_avg_time":0,
               "addToOnlineRegions_num_ops":0,
               "assign_avg_time":0,
               "assign_num_ops":0,
               "balanceSwitch_avg_time":0,
               "balanceSwitch_num_ops":0,
               "balance_avg_time":0,
               "balance_num_ops":0,
               "bulkLoadHFiles.aboveOneSec._avg_time":0,
               "bulkLoadHFiles.aboveOneSec._num_ops":0,
               "bulkLoadHFiles_avg_time":0,
               "bulkLoadHFiles_num_ops":0,
               "callQueueLen":0,
               "checkAndDelete.aboveOneSec._avg_time":0,
               "checkAndDelete.aboveOneSec._num_ops":0,
               "checkAndDelete_avg_time":0,
               "checkAndDelete_num_ops":0,
               "checkAndPut.aboveOneSec._avg_time":0,
               "checkAndPut.aboveOneSec._num_ops":0,
               "checkAndPut_avg_time":0,
               "checkAndPut_num_ops":0,
               "checkOOME.aboveOneSec._avg_time":0,
               "checkOOME.aboveOneSec._num_ops":0,
               "checkOOME_avg_time":0,
               "checkOOME_num_ops":0,
               "close.aboveOneSec._avg_time":0,
               "close.aboveOneSec._num_ops":0,
               "closeRegion.aboveOneSec._avg_time":0,
               "closeRegion.aboveOneSec._num_ops":0,
               "closeRegion_avg_time":0,
               "closeRegion_num_ops":153,
               "close_avg_time":0,
               "close_num_ops":0,
               "compactRegion.aboveOneSec._avg_time":0,
               "compactRegion.aboveOneSec._num_ops":0,
               "compactRegion_avg_time":0,
               "compactRegion_num_ops":0,
               "createTable_avg_time":0,
               "createTable_num_ops":0,
               "delete.aboveOneSec._avg_time":0,
               "delete.aboveOneSec._num_ops":0,
               "deleteColumn_avg_time":0,
               "deleteColumn_num_ops":0,
               "deleteTable_avg_time":0,
               "deleteTable_num_ops":0,
               "delete_avg_time":0,
               "delete_num_ops":0,
               "disableTable_avg_time":0,
               "disableTable_num_ops":0,
               "enableTable_avg_time":0,
               "enableTable_num_ops":0,
               "execCoprocessor.aboveOneSec._avg_time":0,
               "execCoprocessor.aboveOneSec._num_ops":0,
               "execCoprocessor_avg_time":0,
               "execCoprocessor_num_ops":0,
               "exists.aboveOneSec._avg_time":0,
               "exists.aboveOneSec._num_ops":0,
               "exists_avg_time":0,
               "exists_num_ops":0,
               "flushRegion.aboveOneSec._avg_time":0,
               "flushRegion.aboveOneSec._num_ops":0,
               "flushRegion_avg_time":0,
               "flushRegion_num_ops":0,
               "get.aboveOneSec._avg_time":0,
               "get.aboveOneSec._num_ops":97,
               "getAlterStatus_avg_time":0,
               "getAlterStatus_num_ops":0,
               "getBlockCacheColumnFamilySummaries.aboveOneSec._avg_time":0,
               "getBlockCacheColumnFamilySummaries.aboveOneSec._num_ops":0,
               "getBlockCacheColumnFamilySummaries_avg_time":0,
               "getBlockCacheColumnFamilySummaries_num_ops":0,
               "getCatalogTracker.aboveOneSec._avg_time":0,
               "getCatalogTracker.aboveOneSec._num_ops":0,
               "getCatalogTracker_avg_time":0,
               "getCatalogTracker_num_ops":0,
               "getClosestRowBefore.aboveOneSec._avg_time":0,
               "getClosestRowBefore.aboveOneSec._num_ops":0,
               "getClosestRowBefore_avg_time":0,
               "getClosestRowBefore_num_ops":0,
               "getClusterStatus_avg_time":0,
               "getClusterStatus_num_ops":0,
               "getCompactionState.aboveOneSec._avg_time":0,
               "getCompactionState.aboveOneSec._num_ops":0,
               "getCompactionState_avg_time":0,
               "getCompactionState_num_ops":0,
               "getConfiguration.aboveOneSec._avg_time":0,
               "getConfiguration.aboveOneSec._num_ops":0,
               "getConfiguration_avg_time":0,
               "getConfiguration_num_ops":0,
               "getFromOnlineRegions.aboveOneSec._avg_time":0,
               "getFromOnlineRegions.aboveOneSec._num_ops":0,
               "getFromOnlineRegions_avg_time":0,
               "getFromOnlineRegions_num_ops":0,
               "getHServerInfo.aboveOneSec._avg_time":0,
               "getHServerInfo.aboveOneSec._num_ops":0,
               "getHServerInfo_avg_time":0,
               "getHServerInfo_num_ops":0,
               "getHTableDescriptors_avg_time":0,
               "getHTableDescriptors_num_ops":0,
               "getOnlineRegions.aboveOneSec._avg_time":0,
               "getOnlineRegions.aboveOneSec._num_ops":0,
               "getOnlineRegions_avg_time":0,
               "getOnlineRegions_num_ops":0,
               "getProtocolSignature.aboveOneSec._avg_time":0,
               "getProtocolSignature.aboveOneSec._num_ops":0,
               "getProtocolSignature_avg_time":0,
               "getProtocolSignature_num_ops":0,
               "getProtocolVersion.aboveOneSec._avg_time":0,
               "getProtocolVersion.aboveOneSec._num_ops":0,
               "getProtocolVersion_avg_time":0,
               "getProtocolVersion_num_ops":1176,
               "getRegionInfo.aboveOneSec._avg_time":0,
               "getRegionInfo.aboveOneSec._num_ops":0,
               "getRegionInfo_avg_time":0,
               "getRegionInfo_num_ops":0,
               "getServerName.aboveOneSec._avg_time":0,
               "getServerName.aboveOneSec._num_ops":0,
               "getServerName_avg_time":0,
               "getServerName_num_ops":0,
               "getZooKeeper.aboveOneSec._avg_time":0,
               "getZooKeeper.aboveOneSec._num_ops":0,
               "getZooKeeper_avg_time":0,
               "getZooKeeper_num_ops":0,
               "get_avg_time":0,
               "get_num_ops":34105144,
               "increment.aboveOneSec._avg_time":0,
               "increment.aboveOneSec._num_ops":0,
               "incrementColumnValue.aboveOneSec._avg_time":0,
               "incrementColumnValue.aboveOneSec._num_ops":0,
               "incrementColumnValue_avg_time":0,
               "incrementColumnValue_num_ops":0,
               "increment_avg_time":0,
               "increment_num_ops":0,
               "isAborted.aboveOneSec._avg_time":0,
               "isAborted.aboveOneSec._num_ops":0,
               "isAborted_avg_time":0,
               "isAborted_num_ops":0,
               "isMasterRunning_avg_time":0,
               "isMasterRunning_num_ops":0,
               "isStopped.aboveOneSec._avg_time":0,
               "isStopped.aboveOneSec._num_ops":0,
               "isStopped_avg_time":0,
               "isStopped_num_ops":0,
               "lockRow.aboveOneSec._avg_time":0,
               "lockRow.aboveOneSec._num_ops":0,
               "lockRow_avg_time":0,
               "lockRow_num_ops":0,
               "modifyColumn_avg_time":0,
               "modifyColumn_num_ops":0,
               "modifyTable_avg_time":0,
               "modifyTable_num_ops":0,
               "move_avg_time":0,
               "move_num_ops":0,
               "multi.aboveOneSec._avg_time":0,
               "multi.aboveOneSec._num_ops":2859,
               "multi_avg_time":0,
               "multi_num_ops":873059,
               "next.aboveOneSec._avg_time":0,
               "next.aboveOneSec._num_ops":0,
               "next_avg_time":0,
               "next_num_ops":0,
               "offline_avg_time":0,
               "offline_num_ops":0,
               "openRegion.aboveOneSec._avg_time":0,
               "openRegion.aboveOneSec._num_ops":0,
               "openRegion_avg_time":0,
               "openRegion_num_ops":11,
               "openRegions.aboveOneSec._avg_time":0,
               "openRegions.aboveOneSec._num_ops":0,
               "openRegions_avg_time":0,
               "openRegions_num_ops":14,
               "openScanner.aboveOneSec._avg_time":0,
               "openScanner.aboveOneSec._num_ops":0,
               "openScanner_avg_time":0,
               "openScanner_num_ops":0,
               "put.aboveOneSec._avg_time":0,
               "put.aboveOneSec._num_ops":0,
               "put_avg_time":0,
               "put_num_ops":0,
               "regionServerReport_avg_time":0,
               "regionServerReport_num_ops":0,
               "regionServerStartup_avg_time":0,
               "regionServerStartup_num_ops":0,
               "removeFromOnlineRegions.aboveOneSec._avg_time":0,
               "removeFromOnlineRegions.aboveOneSec._num_ops":0,
               "removeFromOnlineRegions_avg_time":0,
               "removeFromOnlineRegions_num_ops":0,
               "replicateLogEntries.aboveOneSec._avg_time":0,
               "replicateLogEntries.aboveOneSec._num_ops":0,
               "replicateLogEntries_avg_time":0,
               "replicateLogEntries_num_ops":0,
               "reportRSFatalError_avg_time":0,
               "reportRSFatalError_num_ops":0,
               "rollHLogWriter.aboveOneSec._avg_time":0,
               "rollHLogWriter.aboveOneSec._num_ops":0,
               "rollHLogWriter_avg_time":0,
               "rollHLogWriter_num_ops":0,
               "rpcAuthenticationFailures":0,
               "rpcAuthenticationSuccesses":0,
               "rpcAuthorizationFailures":0,
               "rpcAuthorizationSuccesses":0,
               "shutdown_avg_time":0,
               "shutdown_num_ops":0,
               "splitRegion.aboveOneSec._avg_time":0,
               "splitRegion.aboveOneSec._num_ops":0,
               "splitRegion_avg_time":0,
               "splitRegion_num_ops":0,
               "stop.aboveOneSec._avg_time":0,
               "stop.aboveOneSec._num_ops":0,
               "stopMaster_avg_time":0,
               "stopMaster_num_ops":0,
               "stop_avg_time":0,
               "stop_num_ops":0,
               "unassign_avg_time":0,
               "unassign_num_ops":0,
               "unlockRow.aboveOneSec._avg_time":0,
               "unlockRow.aboveOneSec._num_ops":0,
               "unlockRow_avg_time":0,
               "unlockRow_num_ops":0
            }
         ]
      ]
   }
}
"""

SAMPLE = SAMPLE_CDH4
