-- Copyright (c) 2011 Cloudera, Inc. All rights reserved.
--
-- Version 6 of the CMON schema. Adding a table for storing information about
-- partitions.
--

update CMON_SCHEMA_VERSION set VERSION=6;

-- Create an index on summary table so that data can be deleted by timestamp
CREATE INDEX IDX_SUMMARY_CALC_HR ON CMON_LL_DP_HR(TS);

CREATE SEQUENCE PARTITION_INFO_SEQUENCE;
CREATE TABLE CMON_PARTITION_INFO (
  ID bigint NOT NULL DEFAULT NEXTVAL('PARTITION_INFO_SEQUENCE'),
  NAME varchar(80) NOT NULL,
  BASE_TABLE varchar(80) NOT NULL,
  END_TS bigint NOT NULL,
  PRIMARY KEY (ID)
);
CREATE UNIQUE INDEX PARTITION_NAME ON CMON_PARTITION_INFO (NAME);
