// (c) Copyright 2013 Cloudera, Inc. All rights reserved.
define([
  'knockout',
  'cloudera/common/Humanize',
  'underscore'
], function(ko, Humanize, _) {
  function createFormattedDateAccessor(date) {
    return function() {
      var unwrappedDate = ko.utils.unwrapObservable(date),
        parsedDate;
      if (unwrappedDate) {
        parsedDate = Humanize.humanizeDateTimeMedium(
            new Date(_.isNumber(unwrappedDate) ? unwrappedDate : Date.parse(unwrappedDate)));
      } else {
        parsedDate = '';
      }
      return parsedDate;
    };
  }
  // Defines a binding to humanize date strings.
  // This will handle a unix timestamp or any string parsable by Date.parse.
  // The result is a string formatted using the Humanize.humanizeDateTimeMedium.
  ko.bindingHandlers.formattedDate = {
    'update': function(element, valueAccessor, allBindingsAccessor, viewModel, bindingContext) {
        return ko.bindingHandlers.text.update(
            element,
            createFormattedDateAccessor(valueAccessor()),
            allBindingsAccessor,
            viewModel,
            bindingContext);
    }
  };
});
